<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, gobacktoitem, nexttask, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        gobacktoitem = pd.getrequest("gobacktoitem")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From reviews WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    title.Text = pd.ReadData("title")
                    comments.Value = pd.ReadData("comments")
                    customerid = pd.ReadDataN("customerid")
                    itemid = pd.ReadDataN("itemid")
                    reviewdate.Text = pd.showdate(pd.ReadDataD("reviewdate"))

                    'Drop Downs
                    rating.SelectedIndex = rating.Items.IndexOf(rating.Items.FindByValue(pd.ReadData("rating")))
                    status.SelectedIndex = status.Items.IndexOf(status.Items.FindByValue(pd.ReadData("status")))
                    
                    If pd.ReadDataN("anonymous") = 1 Then anonymous.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            Else
                'Default values when adding new record.

            End If

        End If


        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("reviews")
                pd.AddData("itemid", itemid, "N")
                pd.AddData("customerid", 0, "N")
                pd.AddData("reviewdate", pd.showdate(DateTime.Now.ToShortDateString), "D")
            Else
                'Update Existing Record
                pd.OpenDataWriter("reviews WHERE id=" & id)
            End If

            pd.AddFormData("status", status.SelectedItem.Value, "", "N", 0, 0)
            pd.AddFormData("rating", rating.SelectedItem.Value, "", "N", 0, 0)
            pd.AddFormData("title", title.Text, "Title", "T", 0, 50)
            pd.AddFormData("comments", comments.Value, "Comments", "T", 0, 0)
            
            If anonymous.Checked = True Then
                pd.AddData("anonymous", 1, "N")
            Else
                pd.AddData("anonymous", 0, "N")
            End If
         

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
                
                If gobacktoitem = "Y" Then
                    pd.pdRedirect("edititem-reviews.aspx?id=" & itemid)
                ElseIf gobacktoitem = "P" Then
                    pd.pdRedirect("editreview-pending.aspx")
                ElseIf gobacktoitem = "A" Then
                    pd.pdRedirect("editreview-approved.aspx")
                ElseIf gobacktoitem = "R" Then
                    pd.pdRedirect("editreview-rejected.aspx")
                End If
                
                pd.gotonextpage()
                
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM reviews WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
        End If


        'Display Item Name, etc
        If IsNumeric(itemid) And itemid <> "0" Then
            pd.OpenDataReader("SELECT * FROM items WHERE id=" & itemid)
            If pd.ReadDataItem.Read Then
                itemname.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
            End If
            pd.CloseData()
        End If
        
        'Display Customer Name, etc
        If IsNumeric(customerid) And customerid <> "0" Then
            pd.OpenDataReader("SELECT * FROM customer WHERE id=" & customerid)
            If pd.ReadDataItem.Read Then
                custname.Text = pd.ReadData("name")
                custemail.Text = pd.ReadData("email")
            End If
            pd.CloseData()
        End If
        


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <input type="hidden" name="itemid" value="<%=itemid%>" />
            <input type="hidden" name="task" value="<%=nexttask%>" />
            <input type="hidden" name="gobacktoitem" value="<%=gobacktoitem%>" />
            <div>
                <%
                    pd.createadmintab("Item Detail", "edititem.aspx?id=" & itemid)
                    pd.createadmintab("Edit Review", "editreview.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Item/Product Reviews</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="pageheading2">
                    Item</div>
                <div class="formheading">
                    Item Name</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="itemname" runat="server" /></div>
                <div class="formheading">
                    Item No/Sku</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="itemno" runat="server" /></div>
                <div class="formheading">
                    Date</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="reviewdate" runat="server" /></div>
                <div class="formheading">
                    Status</div>
                <div>
                    <asp:DropDownList ID="status" runat="server">
                        <asp:ListItem Value="0" Text="Pending Approval" />
                        <asp:ListItem Value="1" Text="Approved" />
                        <asp:ListItem Value="2" Text="Rejected" />
                    </asp:DropDownList>
                </div>
                <div class="pageheading2">
                    Review</div>
                <div class="formheading">
                    Title</div>
                <div>
                    <asp:TextBox class="formfield1" ID="title" runat="server" /></div>
                <div class="formheading">
                    Rating</div>
                <div>
                    <asp:DropDownList ID="rating" runat="server">
                        <asp:ListItem Value="1" Text="1 Star" />
                        <asp:ListItem Value="2" Text="2 Stars" />
                        <asp:ListItem Value="3" Text="3 Stars" />
                        <asp:ListItem Value="4" Text="4 Stars" />
                        <asp:ListItem Value="5" Text="5 Stars" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Review</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="comments" cols="55"   runat="server" /></div>
                <div class="pageheading2">
                    Customer</div>
                <div class="formheading">
                    Customer Name</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="custname" runat="server" /></div>
                <div class="formheading">
                    Customer Email</div>
                <div>
                    <asp:TextBox ReadOnly="true" class="roformfield1" ID="custemail" runat="server" /></div>
                <div class="check_div">
                    <asp:CheckBox ID="anonymous" runat="server" />Anonymous</div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes">Delete?</div>
                <% End If%>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Change" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
