<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage, pageratemethod As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            country.DataSource = pd.geteditshippingcountries()
            country.DataBind()

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM shipping WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    freelabel.Text = pd.ReadData("freelabel")
                    handling.Text = pd.ReadDataC("handling")
                    ratemin.Text = pd.ReadDataC("ratemin")

                    'Drop Downs
                    country.SelectedIndex = country.Items.IndexOf(country.Items.FindByValue(pd.ReadData("country")))
                    ratemethod.SelectedIndex = ratemethod.Items.IndexOf(ratemethod.Items.FindByValue(pd.ReadData("ratemethod")))
                    active.SelectedIndex = active.Items.IndexOf(active.Items.FindByValue(pd.ReadData("active")))

                    pageratemethod = pd.ReadData("ratemethod")
                        
                    'CheckBoxes
                    If pd.ReadData("estimate") = "ON" Then estimate.Checked = True
                    If pd.ReadData("freeen") = "ON" Then freeen.Checked = True


                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                'Default values when adding new record.
                'Text Input
                handling.Text = pd.showNumC(0)
                ratemin.Text = pd.showNumC(0)

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("shipping")
            Else
                'Update Existing Record
                pd.OpenDataWriter("shipping WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("freelabel", freelabel.Text, "Text", "T", 0, 255)
            pd.AddFormData("handling", handling.Text, "Handling", "C", 0, 0)
            pd.AddFormData("ratemin", ratemin.Text, "Minimum", "C", 0, 0)

            'Drop Downs
            pd.AddFormData("active", active.SelectedItem.Value, "", "T", 0, 3)
            pd.AddFormData("country", country.SelectedItem.Value, "", "T", 0, 50)
            pd.AddFormData("ratemethod", ratemethod.SelectedItem.Value, "", "T", 0, 50)

            'Check Boxes
            If estimate.Checked = True Then
                pd.AddData("estimate", "ON", "T")
            Else
                pd.AddData("estimate", "", "T")
            End If
            If freeen.Checked = True Then
                pd.AddData("freeen", "ON", "T")
            Else
                pd.AddData("freeen", "", "T")
            End If

            pd.AddData("rateaddon", "", "T")

            If pd.checkNull(ratemethod.SelectedItem.Value) = "" Then pd.formerror = "Please select a Rate Method!"
            pageratemethod = pd.checkNull(ratemethod.SelectedItem.Value)


            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM shipping WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Shipping Service has been Deleted!', 'setup-shipping.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Custom Rates", "setup-shipping.aspx")
                    pd.createadmintab("Edit Shipping", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Custom Shipping Service</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
                <div class="formheading">
                    Active</div>
                <div>
                    <asp:DropDownList ID="active" runat="server">
                        <asp:ListItem Value="Yes" Text="Yes" />
                        <asp:ListItem Value="No" Text="No" />
                    </asp:DropDownList>
                </div>
                <div class="formheading">
                    Ship To Country</div>
                <div>
                    <asp:DropDownList ID="country" runat="server" DataValueField="namevalue" DataTextField="name" />
                    </asp:DropDownList></div>
                <div class="helptext">
                    Specify which country this service applies to.
                    <br />
                    <br />
                    - Select "ALL" if this service applies to All countries you ship to.<br />
                    - Select "ALL Others" if you want this service to apply to all the countries you
                    did not setup services for. For example, you created services for US and CA, and
                    you want this service to apply to all the others, all countries except US And CA.
                </div>
                <div class="pageheading2">
                    Rate Method</div>
                <div class="inner_div">
                    <div class="formheading">
                        <asp:DropDownList ID="ratemethod" runat="server" onChange="document.getElementById('aspnetForm').submit();">
                            <asp:ListItem Value="" Text="--Select--" />
                            <asp:ListItem Value="5" Text="Order Subtotal" />
                            <asp:ListItem Value="6" Text="Order Weight" />
                            <asp:ListItem Value="7" Text="# of Items in Order" />
                            <asp:ListItem Value="8" Text="Per Item Shipping Charges" />
                            <asp:ListItem Value="3" Text="Determined Later" />
                        </asp:DropDownList>
                    </div>
                    <% If pageratemethod = "5" Or pageratemethod = "6" Or pageratemethod = "7" Then%>
                    <div class="helptext">
                        Setup Rates Below</div>
                    <div class="button_div">
                        <input type="button" onclick="shippingrates('<%=id %>');" class="formbutton" value="Setup Rates"></div>
                    <% End If%>
                </div>
                <div class="formheading">
                    Handling/Surcharge</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="handling" runat="server" /></div>
                <div class="formheading">
                    Minimum Charge</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="ratemin" runat="server" /></div>
                <div>
                    <div class="check_div">
                        <asp:CheckBox ID="estimate" runat="server" />Estimated Rate?</div>
                    <div class="check_div">
                        <asp:CheckBox ID="freeen" runat="server" />Use Alternate Text for 0.00 (zero) value</div>
                    <div class="formheading">
                        Alternate Text:
                        <asp:TextBox class="formfield1" ID="freelabel" runat="server" /></div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Service?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
