<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage, allowpasschange As String
    Public vsmallimage, vlargeimage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)
    
        'Get Record IDs
        id = pd.getrequest("id")
    
        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If
    
        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        allowpasschange = "No"
    
        'Retrieve/Display Record
        If Not (Page.IsPostBack) And pd.shopdemomode <> "Yes" Then
      
            If id <> "" Then
                
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM security WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    username.Text = pd.ReadData("username")
                    level.SelectedIndex = level.Items.IndexOf(level.Items.FindByValue(pd.ReadDataN("seclevel")))
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            
                'Check if this is current User
                If id = pd.adminuserid Then
                    allowpasschange = "Yes"
                End If
                
                'Log Activity (Event Code, Record ID, Note)
                pd.LogAdminEvent(109, id, username.Text)
            
            
            Else
                'Default values when adding new record.
                If pd.firstlogin = "Yes" Then
                    level.SelectedIndex = level.Items.IndexOf(level.Items.FindByValue(1))
                Else
                    level.SelectedIndex = level.Items.IndexOf(level.Items.FindByValue(3))
                End If
            
            
            End If
        
        End If
    
        'Update/Add Record if form is posted
        If Page.IsPostBack And pd.shopdemomode <> "Yes" Then
        
            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                pd.OpenDataWriter("security")
                logcode = 106 'for event log
            
                'Check for conflicting records
                pd.OpenDataReader("SELECT id FROM security WHERE username='" & pd.FormatSqlText(username.Text) & "'")
                If pd.ReadDataItem.Read Then
                    pd.formerror = pd.formerror & "'" & username.Text & "' Already Exists!"
                End If
                pd.CloseData()
            
                'Make sure at least one Admin is Level 1
                If level.SelectedItem.Value = "2" Or level.SelectedItem.Value = "3" Then
                
                    pd.OpenDataReader("SELECT id FROM security WHERE seclevel='1'")
                    If pd.ReadDataItem.Read Then
                    Else
                        pd.formerror = pd.formerror & "At least one User must have Level 1 Privileges!"
                    End If
                    pd.CloseData()
                
                End If
            
            Else
                pd.OpenDataWriter("security WHERE id=" & id)
                logcode = 107 'for event log
            
                'Make sure at least one Admin is Level 1
                If level.SelectedItem.Value = "2" Or level.SelectedItem.Value = "3" Then
                
                    pd.OpenDataReader("SELECT id FROM security WHERE seclevel='1' AND id<>" & id)
                    If pd.ReadDataItem.Read Then
                    Else
                        pd.formerror = pd.formerror & "At least one User must have Level 1 Privileges!"
                    End If
                    pd.CloseData()
                
                End If
            
            End If
        
            pd.AddFormData("username", username.Text, "UserName", "T", 1, 50)
            pd.AddFormData("seclevel", level.SelectedItem.Value, "Level", "T", 1, 50)
            pd.formerror = pd.formerror & pd.checkchr(username.Text, "UserName")
            
            'Handle New Password
            If id = "" Then
                
                'Make Sure Passwords Match
                If password.Text <> password2.Text Then
                    pd.formerror = pd.formerror & "Passwords Do Not Match!"
                End If
            
                'Enforce Strong Passwords (if enabled)
                If pd.isPasswordStrong(password.Text) = False Then
                    pd.formerror = pd.formerror & "Passwords Must be 7 characters in length, and must include a number and both upper and lower case letters!"
                End If
                pd.formerror = pd.formerror & pd.checkchr(password.Text, "Password")
            
                'Add Password Data
                pd.AddFormData("password", password.Text, "Password", "X", 1, 50)
                
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
            
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                
                pd.formerror = "Record Saved!"
                pd.LogAdminEvent(logcode, id, username.Text)
                pd.gotonextpage()
            
            End If
        
        End If
    
        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
        
            'Check if trying to delete current user (logged in).
            pd.OpenDataReader("SELECT id FROM security WHERE id=" & id & " AND tempkey='" & pd.FormatSqlText(pd.getcookie("aid")) & "'")
            If pd.ReadDataItem.Read Then
                pd.formerror = "You cannot delete this user, since you are logged in as this user."
                deleterecord = ""
            End If
            pd.CloseData()
        
            If pd.formerror = "" Then
                'Perform Delete
                pd.sqlexecute("DELETE FROM security WHERE id=" & id)
                pd.LogAdminEvent(108, id, username.Text)
                pd.formerror = "Record Deleted!"
                id = ""
                deleterecord = "done"
            End If
        End If
    
        'Demo Mode
        If pd.shopdemomode = "Yes" Then
            id = ""
            username.Text = "NameHere"
            password.Text = "123456"
            password2.Text = "654321"
        End If
        
        'Force Password fields to show masked passwords.
        If Not password.Text = "" And Not password2.Text = "" Then
            ViewState(password.Text) = password.Text
            password.Attributes.Add("value", ViewState(password.Text).ToString())
            ViewState(password2.Text) = password2.Text
            password2.Attributes.Add("value", ViewState(password2.Text).ToString())
        End If

        
    
    End Sub

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('User has been Deleted!', 'setup-users.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Admin Users", "setup-users.aspx")
                    pd.createadmintab("Edit User", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Edit Administrator User</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    User Name</div>
                <div>
                    <asp:TextBox class="formfield2" ID="username" runat="server" />
                </div>
                <% If id = "" Then%>
                <div class="formheading">
                    Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password" runat="server" />
                </div>
                <div class="formheading">
                    Confirm Password</div>
                <div>
                    <asp:TextBox class="formfield2" TextMode="password" ID="password2" runat="server" />
                </div>
                <% End If%>
                <div class="formheading">
                    User Privileges</div>
                <div>
                    <asp:DropDownList ID="level" runat="server">
                        <asp:ListItem Value="1" Text="Level 1 - Full Privileges" />
                        <asp:ListItem Value="2" Text="Level 2 - Basic Privileges" />
                        <asp:ListItem Value="3" Text="Level 3 - Restricted Privileges (cannot view sensitive payment information)" />
                    </asp:DropDownList>
                </div>
                <div class="helptext">
                    LEVEL 1: Full access to the admin area.<br />
                    LEVEL 2: No access to Setup and Advanced menu options.<br />
                    LEVEL 3: Same as Level 2 however user cannot view sensitive payment information
                    such as credit cards.
                </div>
                <div class="formbutton_div">
                    <asp:Button class="formbutton" Text="Save Changes" runat="server" />
                    <% If allowpasschange = "Yes" Then%><input type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('chgpsswrd.aspx')"
                        value="Change Password" /><% End If%></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this User?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
