<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From itemimages WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    
                    smallimage.Text = pd.ReadData("smallimage")
                    largeimage.Text = pd.ReadData("largeimage")
                    listord.Text = pd.ReadDataN("listord")
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                'Default values when adding new record.
                listord.Text = 0

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("itemimages")
            Else
                'Update Existing Record
                pd.OpenDataWriter("itemimages WHERE id=" & id)
            End If

            'Text Input
            pd.AddData("itemid", itemid, "N")
            pd.AddFormData("smallimage", smallimage.Text, "Thumbnail", "T", 0, 255)
            pd.AddFormData("largeimage", largeimage.Text, "Large Image", "T", 0, 255)
            pd.AddFormData("listord", listord.Text, "List Order", "N", 0, 0)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM itemimages WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="itemid" value="<%=itemid%>" />
        <div class="pageheading2">
            Item Images</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to remove image?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Thumbnail Image</div>
        <div>
            <asp:TextBox class="formfield1" ID="smallimage" runat="server" /><a href="javascript: insertimage('smallimage')"><img
                align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                    href="javascript: uploadimage('smallimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                        alt="Upload Image"></a></div>
        <div class="formheading">
            Large Image</div>
        <div>
            <asp:TextBox class="formfield1" ID="largeimage" runat="server" /><a href="javascript: insertimage('largeimage')"><img
                align="middle" border="0" src="img/pd_image.gif" alt="Insert Image (from 'images' folder)"></a><a
                    href="javascript: uploadimage('largeimage')"><img align="middle" border="0" src="img/pd_disk.gif"
                        alt="Upload Image"></a></div>
        <div class="formheading">
            List Order</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="listord" runat="server" /></div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes">Delete?</div>
        <% End If%>
        </form>
    </div>
</asp:Content>
