<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, carrierid, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        carrierid = pd.getrequest("carrierid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From shiprates WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    fromamt.Text = pd.ReadDataC("fromamt")
                    toamt.Text = pd.ReadDataC("toamt")
                    rate.Text = pd.ReadDataC("rate")
                    rate2.Text = pd.ReadDataC("rate2")
                    orderpct.Text = pd.ReadDataN("orderpct")
                    carrierid = pd.ReadData("carrierid")

                    'CheckBoxes
                    If pd.ReadDataN("method") = 0 Then method0.Checked = True
                    If pd.ReadDataN("method") = 1 Then method1.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            Else
                'Default values when adding new record.
                fromamt.Text = 0
                toamt.Text = 0
                rate.Text = 0
                rate2.Text = 0
                orderpct.Text = 0
                method0.Checked = True
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("shiprates")
            Else
                'Update Existing Record
                pd.OpenDataWriter("shiprates WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("fromamt", fromamt.Text, "From", "C", 0, 0)
            pd.AddFormData("toamt", toamt.Text, "To", "C", 0, 0)
            pd.AddFormData("rate", rate.Text, "Rate", "C", 0, 0)
            pd.AddFormData("rate2", rate2.Text, "Rate", "C", 0, 0)
            pd.AddFormData("orderpct", orderpct.Text, "Percent", "N", 0, 0)

            If method0.Checked = True Then
                pd.AddData("method", "0", "T")
            Else
                pd.AddData("method", "1", "T")
            End If

            pd.AddData("carrierid", carrierid, "N")
            pd.AddData("tonum", 0, "N")
            pd.AddData("fromnum", 0, "N")
            pd.AddData("ratetype", 1, "N")

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                'closewin = "Y"
                pd.pdRedirect("popup_shippingrates.aspx?id=" & carrierid)
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM shiprates WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            'closewin = "Y"
            pd.pdRedirect("popup_shippingrates.aspx?id=" & carrierid)
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="carrierid" value="<%=carrierid%>" />
        <div class="pageheading2">
            Rate by Order Total</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes&carrierid=<%=carrierid%>">YES</a>&nbsp;&nbsp;
            |&nbsp;&nbsp; <a href="?id=<%=id%>&carrierid=<%=carrierid%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Order Total Range</div>
        <div>
            <div class="formheading">
                From:
                <asp:TextBox class="formfieldnumber" ID="fromamt" runat="server" />
                To:
                <asp:TextBox class="formfieldnumber" ID="toamt" runat="server" /></div>
        </div>
        <div class="pageheading2">
            Rate</div>
        <div class="inner_div">
            <div class="radio_div">
                <asp:RadioButton GroupName="method" ID="method0" runat="server" />Fixed Amount</div>
            <div class="formheading">
                Amount:
                <asp:TextBox class="formfieldnumber" ID="rate" runat="server" />
            </div>
        </div>
        <div class="inner_div">
            <div class="radio_div">
                <asp:RadioButton GroupName="method" ID="method1" runat="server" />Percent of Subtotal</div>
            <div class="formheading">
                Percent:
                <asp:TextBox class="formfieldnumber" ID="orderpct" runat="server" />
                + This Amount:
                <asp:TextBox class="formfieldnumber" ID="rate2" runat="server" /></div>
        </div>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes">Delete?</div>
        <% End If%>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
