<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, cfconfig, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
             
            pd.OpenSetupDataReader("setupxml", "setup")

            downfold.Text = pd.ReadData("downfold")
            If pd.ReadDataN("downmeth") = 2 Then
                downmeth3.Checked = True
            ElseIf pd.ReadDataN("downmeth") = 1 Then
                downmeth2.Checked = True
            Else
                downmeth1.Checked = True
            End If
            If pd.ReadDataN("downen") = 0 Then
                downen2.Checked = True
            Else
                downen1.Checked = True
            End If

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            pd.AddFormData("downfold", downfold.Text, "Download Folder", "T", 1, 50)
            If downmeth3.Checked = True Then
                pd.AddData("downmeth", 2, "N")
            ElseIf downmeth1.Checked = True Then
                pd.AddData("downmeth", 0, "N")
            Else
                pd.AddData("downmeth", 1, "N")
            End If

            If downen1.Checked = True Then
                pd.AddData("downen", 1, "N")
            Else
                pd.AddData("downen", 0, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-downloads.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Digital Items/Downloadable Products</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="helptext">
                    Settings related to any "Digital" items or Downloadable products.</div>
                <div class="formheading">
                    Downloads Folder</div>
                <div>
                    <asp:TextBox class="formfield1" ID="downfold" runat="server" /></div>
                <div class="helptext">
                    (Location where downloadable files are located, ex. "downloads")</div>
                <div class="pageheading2">
                    Download Method</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="downmeth" ID="downmeth1" runat="server" />Use "Stream"
                        method</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="downmeth" ID="downmeth3" runat="server" />Use "Stream"
                        method (Send in 10K byte chunks) ** RECOMMENDED **</div>
                    <div class="helptext">
                        With the "Stream" methods, downloads are initiated with ASP.NET's "Stream" functions,
                        which is more secure as the file location is not revealed. Instead, a virtual download
                        link is created. However some "firewalls" and "proxy" servers may interfere or prevent
                        this type of download. If your web server/plan has limited memory or your downloads
                        are very large, you should select the "send in chunks" option.</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="downmeth" ID="downmeth2" runat="server" />Use physical
                        location method</div>
                    <div class="helptext">
                        This method uses a simple download link, which specifically refers to the file location
                        on your server. While the location is still somewhat hidden, multiple downloads
                        are possible if user is web savvy.</div>
                </div>
                <div class="pageheading2">
                    Download Availability</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="downen" ID="downen1" runat="server" />Immediate / Automatic</div>
                    <div class="helptext">
                        Downloads are available immediately following checkout. Best when used with the
                        Authorize.NET gateway</div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="downen" ID="downen2" runat="server" />Manual</div>
                    <div class="helptext">
                        Downloads are not available to customers until you activate them manually (in the
                        customer order). This is recommended when using the Weblink payment gateways (this
                        allows you to verify a payment was received before a customer downloads)</div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
