<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            pd.OpenSetupDataReader("setupxml", "setup")
            
            If pd.ReadDataN("tcen") = 1 Then form_tcen.Checked = True
            If pd.ReadDataN("tcaven") = 1 Then form_tcaven.Checked = True
            If pd.ReadDataN("tccap") = 1 Then form_tccap.Checked = True
            tclogin.Text = pd.ReadData("tclogin")
            tckey.Text = pd.ReadData("tckey")
            tccode.Text = pd.ReadData("tccode")
            tcfromstreet.Text = pd.ReadData("tcfromstreet")
            tcfromcity.Text = pd.ReadData("tcfromcity")
            tcfromstate.Text = pd.ReadData("tcfromstate")
            tcfromzip.Text = pd.ReadData("tcfromzip")

            pd.CloseData()
            
            If tccode.Text = "" Then
                tccode.Text = "00000"
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")
            
            If form_tcen.Checked = True Then
                pd.AddData("tcen", 1, "N")
                minlen = 2
            Else
                pd.AddData("tcen", 0, "N")
                minlen = 0
            End If
            If form_tcaven.Checked = True Then
                pd.AddData("tcaven", 1, "N")
            Else
                pd.AddData("tcaven", 0, "N")
            End If
            If form_tccap.Checked = True Then
                pd.AddData("tccap", 1, "N")
            Else
                pd.AddData("tccap", 0, "N")
            End If
            
            pd.AddFormData("tclogin", tclogin.Text, "API Login", "T", minlen, 50)
            pd.AddFormData("tckey", tckey.Text, "API Key", "T", minlen, 50)
            pd.AddFormData("tccode", tccode.Text, "Tax Code", "N", 0, 0)
            pd.AddFormData("tcfromstreet", tcfromstreet.Text, "Street", "T", minlen, 50)
            pd.AddFormData("tcfromcity", tcfromcity.Text, "City", "T", minlen, 50)
            pd.AddFormData("tcfromstate", tcfromstate.Text, "State", "T", minlen, 50)
            pd.AddFormData("tcfromzip", tcfromzip.Text, "Zip", "T", minlen, 50)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.createadmintab("Tax Cloud", "setup-taxcloud.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Tax Cloud (Beta)</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="pageheading2">
                    What is TaxCloud?</div>
                <div class="helptext">
                    <a href="https://taxcloud.net/account/register?ref=179A7B00" target="_blank">TaxCloud</a>
                    is a sales tax service for online retailers. It's Free and easy to configure. <a
                        href="https://taxcloud.net/account/register?ref=179A7B00" target="_blank">TaxCloud</a>
                    instantly calculates Sales Tax and files your returns for you.
                </div>
                <% If Len(tclogin.Text) > 3 Then%>
                <% Else%>
                <div>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="window.open('https://taxcloud.net/account/register?ref=179A7B00','PDHelp','width=990,height=800,toolbar=0,status=0,location=0,menubar=0,scrollbars=yes,resizable=1');"
                            value="Register Now" />
                    </div>
                </div>
                <%End If%>
                <div class="pageheading2">
                    TaxCloud Settings</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_tcen" runat="server" />Enable Tax Cloud?</div>
                <div class="formheading">
                    API Login/ID</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tclogin" runat="server" /></div>
                <div class="formheading">
                    API Key</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tckey" runat="server" /></div>
                <div class="formheading">
                    Default Taxability Information Code (TIC)</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="tccode" runat="server" /></div>
                <div class="helptext">
                    (For General Goods and Services use TIC: 00000)</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_tcaven" runat="server" />Enable Address Validation</div>
                <div class="helptext">
                    (Shipping Address customer enters is verified with the U.S.P.S.)</div>
                <div class="check_div">
                    <asp:CheckBox ID="form_tccap" runat="server" />Auth/Capture Immediately</div>
                <div class="helptext">
                    (During checkout, the tax will automatically be authorized and captured by TaxCloud.
                    Uncheck this option if you only want to Lookup tax rates during checkout.)</div>
                <div class="pageheading2">
                    Origin Address</div>
                <div class="helptext">
                    The location from which you will be shipping.</div>
                <div class="formheading">
                    Street</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tcfromstreet" runat="server" /></div>
                <div class="formheading">
                    City</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tcfromcity" runat="server" /></div>
                <div class="formheading">
                    State/Province: (Abbreviation, "NY")</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="tcfromstate" runat="server" /></div>
                <div class="formheading">
                    Zip/Postal Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="tcfromzip" runat="server" /></div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
