<%@ Page Language="VB" Explicit="False" MasterPageFile="mobiletemplate.master" %>

<%@ MasterType VirtualPath="mobiletemplate.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public refer As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.enforceSSL = True
        pd.LoadPDshop()

        task = pd.getrequest("task")
        refer = pd.getrequest("refer")

        'Sign Out User if task is desired.
        If task = "signout" Then
            pd.LogShopEvent(201, pd.getcookie("customerid"), "")
            pd.signUserOut()
        End If

        'If already signed in, redirect
        If pd.isSignedIn() = "Yes" Then pd.pdRedirect("orderstatus.aspx")
        

        If Not (Page.IsPostBack) Then
         
            'Process Alert Messages
            showalert = pd.getrequest("showalert")
            If showalert = "emailsent" Then
                pd.alertmessage = pd.geterrtext("err8")
            End If
            
            'Demo Mode
            If pd.shopdemomode = "Yes" Then
                If pd.getCookie("demou") <> "" Then
                    captcha.Text = "123456"
                    email.Text = pd.getCookie("demou")
                    password.Text = pd.getCookie("demop")
                    password.Attributes.Add("value", "testing")
                End If
            End If
            
        End If

        If Page.IsPostBack Then

            semail = email.Text
            spassword = password.Text

            'Check email for invalid characters
            pd.formerror = pd.checkchr(semail, pd.getsystext("sys23"))
             
            'Verify Captcha Code
            If pd.passShopCaptcha(captcha.Text) = False Then
                pd.formerror = pd.formerror & pd.geterrtext("err71")
                captcha.Text = ""
            End If

            'Search for customer by email
            If pd.formerror = "" Then
                pd.OpenDataReader("SELECT * FROM customer WHERE email='" & pd.FormatSqlText(semail) & "'")
                If pd.ReadDataItem.Read Then
                    customerid = pd.ReadDataN("id")
                    clockout = pd.ReadDataN("lockout")
                     
                    'If customer is locked out
                    If clockout = 1 Then
                        pd.formerror = pd.geterrtext("err69")
                        pd.LogShopEvent(203, customerid, "")
                    End If
                     
                Else
                    pd.formerror = pd.geterrtext("err50")
                    pd.LogShopEvent(202, 0, semail)
                End If
                pd.CloseData()
                 
                
                'Verify Password
                If pd.formerror = "" Then
                    If pd.passwordverified("customer", customerid, password.Text) = False Then
                        pd.formerror = pd.geterrtext("err51")
                        pd.LogShopEvent(202, customerid, "")
                    End If
                End If
                
            End If
                      
                       
            'Sign In
            If pd.formerror = "" Then

                'Sign User In & Redirect to Next Page
                If refer = "" Then refer = "orderstatus.aspx"
                pd.LogShopEvent(200, customerid, "")
                pd.signUserIn(customerid, refer)
                 
            Else
                'Force Password fields to show masked passwords.
                If Not password.Text = "" Then
                    ViewState(password.Text) = password.Text
                    password.Attributes.Add("value", ViewState(password.Text).ToString())
                End If
                 

            End If

        End If

        'Set Page Layout Type
        Master.pgtype = pd.pg9

    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads4")%>
    <div class="form_container">
        <form method="POST" id="aspnetForm" name="aspnetForm" runat="server">
        <input type="hidden" name="refer" value="<%=pd.dohtmlencode(refer)%>" />
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys23")%></div>
        <div>
            <asp:TextBox class="formfield" ID="email" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys24")%></div>
        <div>
            <asp:TextBox class="formfield" TextMode="password" ID="password" runat="server" />
        </div>
        <% If pd.shopcaptcha = "ON" Then%>
        <div>
            <div class="formheadings">
                <%=pd.getsystext("sys134")%>
            </div>
            <div>
                <asp:TextBox class="formfield3" ID="captcha" runat="server" />
            </div>
            <div style="padding: 10px;">
                <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" /></div>
            <% If pd.shopdemomode = "Yes" Then%>
            <div class="messages">
                Because this is a Demo, the 'Captcha' Verification Code has been entered
                for you.  This and other security features can be disabled.</div>
            <% End If%>
        </div>
        <% End If%>
        <div class="formbuttons_container">
            <%= pd.getButton("butts14", "", "", "aspnetForm")%></div>
        </form>
        <%  If pd.passemail = "ON" Then%>
        <div class="messages">
            <%=pd.getButton("butts24","","emailpassword.aspx","") %></div>
        <%  End If%>
    </div>
    <% = pd.EndSection()%>
    <!-- Allow User Registration if options allow -->
    <%  If pd.checkoutflow <> 4 Then%>
    <%= pd.startSection("heads31")%>
    <div>
        <div class="cartbuttons_container">
            <%=pd.getButton("butts12", "", pd.shopsslurl & "register.aspx?refer=" & refer,"")%></div>
    </div>
    <% = pd.EndSection()%>
    <%  End If%>
</asp:Content>
