<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    
    Public refer As String
    
    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        pd = Master.pd
        pd.enforceSSL = True
        pd.LoadPDshop()
    
        'Check if already signed in
        affiliateuserid = pd.getcookie("afuid")
        If afuid <> "" Then
            pd.pdRedirect("affilstatus.aspx")
        End If
    

        'Process Alert Messages
        showalert = pd.getrequest("showalert")
        If showalert = "emailsent" Then
            pd.alertmessage = pd.geterrtext("err8")
        End If
        
        'Demo Mode
        If pd.shopdemomode = "Yes" Then
            captcha.Text = "123456"
        End If
                        
    
        'Sign Out User if task is desired.
        If pd.getrequest("task") = "signout" Then
            pd.removeCookie("afuid")
            pd.removeCookie("aflink")
            pd.formerror = "You have been signed out!"
            pd.LogAffilEvent(301, affiliateuserid, "")
        End If
    
        'Sign In
        If Page.IsPostBack Then
            saffillink = affillink.Text
            spassword = password.Text
            task = "signin"
        End If

        If task = "signin" Then
    
            'Check Affiliate Login for invalid characters
            pd.formerror = pd.checkchr(saffillink, pd.getsystext("sys84"))
             
            'Verify Captcha Code
            If pd.passShopCaptcha(captcha.Text) = False Then
                pd.formerror = pd.formerror & pd.geterrtext("err71")
                captcha.Text = ""
            End If
    
            If pd.formerror = "" Then
    
                'Search for affiliate by affillink
                pd.OpenDataReader("SELECT * FROM affiliates WHERE affillink='" & pd.FormatSqlText(saffillink) & "'")
                If pd.ReadDataItem.Read Then
                    affiliateuserid = pd.ReadDataN("id")
                Else
                    pd.formerror = pd.geterrtext("err51")
                    pd.LogAffilEvent(302, 0, saffillink)
                End If
                pd.CloseData()
                
                'Verify Password
                If pd.formerror = "" Then
                    If pd.passwordverified("affiliates", affiliateuserid, password.Text) = False Then
                        pd.formerror = pd.geterrtext("err51")
                        pd.LogAffilEvent(302, affiliateuserid, saffillink)
                    End If
                End If
    
                'If no errors, sign in!
                If pd.formerror = "" Then
                    pd.saveCookie("afuid", affiliateuserid, 0)
                    pd.saveCookie("aflink", saffillink, 0)
                    pd.LogAffilEvent(300, affiliateuserid, saffillink)
                    pd.pdRedirect("affilstatus.aspx")
                End If
                                  
            Else
                
                'Force Password fields to show masked passwords.
                If Not password.Text = "" Then
                    ViewState(password.Text) = password.Text
                    password.Attributes.Add("value", ViewState(password.Text).ToString())
                End If
    
            End If
    
        End If
    
        'Set Page Layout Type
        Master.pgtype = pd.pg7
        
    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads18")%>
    <div class="form_container">
        <form method="POST" action="affilsignin.aspx" id="aspnetForm" name="aspnetForm" runat="server">
        <input type="hidden" name="refer" value="<%=pd.dohtmlencode(refer)%>">
        <div class="messages">
            <%=pd.getFormError()%></div>
        <div class="formheadings">
            <%=pd.getsystext("sys84")%></div>
        <div>
            <asp:TextBox class="formfield" ID="affillink" runat="server" />
        </div>
        <div class="formheadings">
            <%=pd.getsystext("sys85")%></div>
        <div>
            <asp:TextBox class="formfield" TextMode="password" ID="password" runat="server" />
        </div>
        <% If pd.shopcaptcha = "ON" Then%>
        <div>
            <div class="formheadings">
                <%=pd.getsystext("sys134")%>
            </div>
            <div>
                <asp:TextBox class="formfield3" ID="captcha" runat="server" />
            </div>
            <div style="padding: 10px;">
                <img src="captcha.aspx?rnum=<%=pd.getrandseq() %>" border="0" /></div>
            <% If pd.shopdemomode = "Yes" Then%>
            <div class="messages">
                Because this is a Demo, the 'Captcha' Verification Code has been entered
                for you.  This and other security features can be disabled.</div>
            <% End If%>
        </div>
        <% End If%>
        <div class="formbuttons_container">
            <%=pd.getButton("butts14","","","aspnetForm")%></div>
        <% If pd.passemail = "ON" Then%>
        <div class="messages">
            <%=pd.getButton("butts24","","affilemailpass.aspx","") %></div>
        <% End If%>
        </form>
    </div>
    <%= pd.endSection()%>
</asp:Content>
