<%@ Page Language="VB" Explicit="False" MasterPageFile="template.master" %>

<%@ MasterType VirtualPath="template.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2012.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    Public cartid, oktocheckout, nexttask, notes3value As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDshop()
         
        'Checks your Shop Access/Checkout settings.
        pd.VerifyShopAccess()

        If Not (Page.IsPostBack) Then
        End If

        'Get Task
        task = pd.getrequest("task")
        nexttask = pd.getRequest("nexttask")
        updatedisc = pd.getrequest("updatedisc")
        updategift = pd.getrequest("updategift")
        updatenotes = pd.getrequest("updatenotes")
        notes3value = pd.getrequest("notes3")
        
        'Check for cart session id, if none then create one.
        cartid = pd.getcookie("cartid")
        orderid = pd.getcookie("orderid")
        If cartid = "" Then
            cartid = pd.getrandseq()
            pd.saveCookie("cartid", cartid, 30)
        End If

        'Determine what form elements to display (Payment Gateway related)
        pd.getgatewayoptions()

        'Check if shopping cart is valid (if checked out already, reset)
        If pd.hasCheckedOut(cartid) = "Yes" Then
            pd.removeCookie("orderid")
            pd.removeCookie("cartid")
            pd.pdRedirect("showcart.aspx?task=view")
        End If

        'Transfer Affiliate cookie.
        affillink = pd.getrequest("affillink")
        If affillink <> "" Then
            pd.saveCookie("affillink", affillink, 365)
        End If

        'Add to Cart
        If task = "addnew" Then
            'Delete Record first if changed.
            If pd.checkInt(pd.getrequest("edititemid")) = True Then
                pd.deletecartitem(pd.getrequest("edititemid"))
            End If
            pd.additemtocart(cartid)
        End If

        'Update Cart Items (qty)
        If task = "update" Then
            pd.updatecartitems(cartid)
        End If

        'Delete Cart Item
        If task = "delete" Then
            pd.deletecartitem(pd.getrequest("recid"))
        End If

        'Apply Gift Certificate
        If updategift = "Y" Then
            pd.applygiftcode(cartid, pd.getrequest("giftcode"))
        End If

        'Discounts.
        If updatedisc = "Y" Then
            pd.applydiscounts(cartid, pd.getrequest("disccode"))
        End If
       
        'Update Mini Cart (must appear before getOrderVariables)
        pd.updateminicart = "Yes"
        
        'Get Cart Contents
        pd.getOrderVariables("", orderid, cartid)

        'Bind Order Details to this page
        orderdetail.DataSource = pd.bindorderdetail(cartid, "")
        orderdetail.DataBind()
        
        'Save/Get Order Notes.
        If updatenotes = "Y" Then
            pd.applyordernotes(cartid, orderid, notes3value)
        Else
            notes3value = pd.getordernotes(cartid, orderid)
        End If
        
        'Check that order minimum is met.
        If pd.dOrdersub < pd.orderminimum Then
            pd.formerror = pd.geterrtext("err64") & " [" & pd.showcurr(pd.orderminimum) & "]"
            oktocheckout = "N"
        Else
            oktocheckout = "Y"
        End If

        'Check for Inventory Error (read public variable)
        If pd.inventoryerror = "Yes" Then
            pd.formerror = pd.geterrtext("err3")
            oktocheckout = "N"
        End If

        'Proceed to Checkout if applicable
        If nexttask <> "" And pd.formerror = "" And pd.giftvalid <> "N" And pd.discvalid <> "N" Then
            If nexttask = "googlecheckout" Then
                pd.pdRedirect(pd.shopsslurl & "google_checkout.aspx")
            ElseIf nexttask = "paypalexpress" Then
                pd.pdRedirect(pd.shopsslurl & "paypal_express1.aspx")
            Else
                pd.pdRedirect(pd.shopsslurl & "checkout.aspx")
            End If
        End If
        
        'Reload page (Refresh minicart, etc.)
        If (task = "update" Or task = "delete" Or task = "addnew") And pd.formerror = "" And pd.giftvalid <> "N" And pd.discvalid <> "N" Then
            pd.pdRedirect("showcart.aspx?task=view")
        End If
        
        'Set Page Layout Type
        Master.pgtype = pd.pg9
        
    End Sub


</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <%= pd.startSection("heads3")%>
    <div>
        <div class="messages">
            <%=pd.getFormError()%>
        </div>
        <form method="POST" action="showcart.aspx" id="updateitems" name="updateitems">
            <div class="formheadings desktop_content" style="width: 100%;">
                <div class="cartcolumn_1">
                    <%=pd.getsystext("sys1")%>/<%=pd.getsystext("sys2")%>
                </div>
                <div class="cartcolumn_2">
                    <%=pd.getsystext("sys3")%>
                </div>
                <div class="cartcolumn_3">
                    <%=pd.getsystext("sys4")%>
                </div>
                <div class="cartcolumn_4">
                    <%=pd.getsystext("sys5")%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <hr class="rowline" />
            <!-- START OF ITEM REPEATER -->
            <asp:Repeater ID="orderdetail" runat="server">
                <ItemTemplate>
                    <%# Container.DataItem("hiddenitemid") %>
                    <%# Container.DataItem("hiddenrecid") %>
                    <div class="cartdata" style="width: 100%;">
                        <div class="cartcolumn_1">
                            <%# Container.DataItem("itemname") %><br />
                            <%# Container.DataItem("itemno") %>
                        </div>
                        <div class="cartcolumn_2">
                            <%# Container.DataItem("inverror") %><input class="formfield5" name="qty<%# Container.DataItem("count") %>"
                                type="text" value="<%# Container.DataItem("buyqty") %>" size="5">
                        </div>
                        <div class="cartcolumn_3">
                            <span class="mobile_content"><%=pd.getsystext("sys4")%></span> <%# Container.DataItem("priceeach") %>
                        </div>
                        <div class="cartcolumn_4">
                            <%# Container.DataItem("pricetotal") %>
                        </div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <div style="width: 100%;">
                        <div class="cartcolumn_1 desktop_content">
                            <%# Container.DataItem("itemimage") %>
                        </div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <div class="formheadings" style="width: 100%;">
                        <div class="cartcolumn_1">
                            <%# Container.DataItem("optionheader") %>
                        </div>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <!-- OPTIONS REPEATER -->
                    <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Container.DataItem.Row.GetChildRows("itemoptions") %>'>
                        <ItemTemplate>
                            <div class="cartdata2" style="width: 100%;">
                                <div class="cartcolumn_1">
                                    <%# Container.DataItem("inverror") %><%# Container.DataItem("optionname") %>
                                </div>
                                <div style="clear: both;">
                                </div>
                            </div>
                            <div class="cartdata2" style="width: 100%;">
                                <div class="cartcolumn_1">
                                    <%# Container.DataItem("optiontext") %>
                                    <!-- -->
                                </div>
                                <div style="clear: both;">
                                </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <!-- END OPTIONS REPEATER -->
                    <div class="cartbuttons_container">
                        <%# Container.DataItem("editbutton") %>
                        <%# Container.DataItem("updatebutton") %>
                        <%# Container.DataItem("removebutton") %>
                        <div style="clear: both;">
                        </div>
                    </div>
                    <hr class="rowline2" />
                    <!-- END OF ITEM REPEATER -->
                </ItemTemplate>
            </asp:Repeater>
            <input type="hidden" name="itemcount" value="<%=pd.iItemcount%>" />
            <input type="hidden" name="nexttask" id="nexttask" value="" />
            <input type="hidden" name="task" value="update" />
            <% If pd.iItemcount = 0 Then%>
            <div class="formheadings2">
                <%=pd.geterrtext("err52")%>
            </div>
            <%End If%>
            <% If pd.discen = "1" And pd.iItemcount > 0 Then%>
            <div style="height: 15px;">
            </div>
            <input type="hidden" name="updatedisc" value="Y" />
            <div class="formheadings2">
                <%=pd.getsystext("sys7")%>
            </div>
            <div style="width: 100%; display: inline;">
                <span class="formheadings">
                    <%=pd.getsystext("sys8")%></span> <span>
                        <input class="formfield3" type="text" id="disccode" name="disccode" value="<%=pd.sDisccode%>" /></span>
                <span>
                    <%= pd.getButton("butts11", "", "javascript: applycodes();", "")%></span>
            </div>
            <div>
                <%=pd.fixERR(pd.discountmessage)%>
            </div>
            <div style="height: 25px;">
            </div>
            <hr class="rowline" />
            <% End If%>
            <% If pd.giften = "1" And pd.iItemcount > 0 Then%>
            <div style="height: 15px;">
            </div>
            <input type="hidden" name="updategift" value="Y" />
            <div class="formheadings2">
                <%=pd.getsystext("sys9")%>
            </div>
            <div style="width: 100%; display: inline;">
                <span class="formheadings">
                    <%=pd.getsystext("sys10")%></span> <span>
                        <input class="formfield3" type="text" id="giftcode" name="giftcode" value="<%=pd.sGiftcode%>" /></span>
                <span>
                    <%= pd.getButton("butts22", "", "javascript: applycodes();", "")%></span>
            </div>
            <div>
                <%=pd.fixERR(pd.giftmessage)%>
            </div>
            <div style="height: 25px;">
            </div>
            <hr class="rowline" />
            <% End If%>
            <% If pd.notes3en = 1 And pd.iItemcount > 0 Then%>
            <div style="height: 15px;">
            </div>
            <input type="hidden" name="updatenotes" value="Y" />
            <div class="formheadings2">
                <%=pd.getsystext("sys148")%>
            </div>
            <div class="formheadings">
                <%=pd.geterrtext("err78")%>
            </div>
            <div>
                <textarea class="formtextarea2" rows="3" id="notes3" name="notes3" cols="55"  ><%=pd.dohtmlencode(notes3value) %></textarea>
            </div>
            <div style="height: 25px;">
            </div>
            <hr class="rowline" />
            <% End If%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys11")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%=pd.showCurr(pd.dordersub)%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% If pd.dDiscounts > 0 Then%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys7")%>
                </div>
                <div class="carttotalcolumn_2">
                    -<%=pd.showCurr(pd.dDiscounts)%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% End If%>
            <% If pd.dCarrierrate > 0 Then%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%If pd.sRatemethod = "2" Then Response.Write("*")%><%=pd.getsystext("sys39")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%
                        If pd.sRatemethod = "3" And pd.dCarrierrate <= 0 Then
                            Response.Write(pd.getsystext("sys109"))
                        Else
                            Response.Write(pd.showcurr(pd.dCarrierrate))
                        End If
                    %>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% End If%>
            <% If pd.dOrdertaxtotal > 0 Then%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys60")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%=pd.showCurr(pd.dOrdertaxtotal)%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% End If%>
            <% If pd.dGiftamt > 0 Then%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys9")%>
                </div>
                <div class="carttotalcolumn_2">
                    -<%=pd.showCurr(pd.dGiftamt)%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% End If%>
            <% If pd.dDiscounts > 0 Or pd.dCarrierrate > 0 Or pd.dOrdertaxtotal > 0 Or pd.dGiftamt > 0 Then%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys61")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%=pd.showCurr(pd.dOrdergrandtotal)%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <% End If%>
            <% If pd.currrate <> 1 And (pd.dDiscounts > 0 Or pd.dCarrierrate > 0 Or pd.dOrdertaxtotal > 0 Or pd.dGiftamt > 0) Then%>
            <div class="cartdata" style="width: 100%;">
                &nbsp;
            </div>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys61")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%= pd.showPrimarycurr(pd.dOrdergrandtotal)%>
                </div>
                <div class="tr">
                </div>
            </div>
            <% End If%>
            <div class="cartdata" style="width: 100%;">
                <div class="carttotalcolumn_1">
                    <%=pd.getsystext("sys12")%>
                </div>
                <div class="carttotalcolumn_2">
                    <%=pd.iItemcount%>
                </div>
                <div style="clear: both;">
                </div>
            </div>
            <div class="cartdata" style="width: 100%;">
                &nbsp;
            </div>
            <% If pd.iItemcount > 0 And oktocheckout = "Y" Then%>
            <div class="formbuttons_container">
                <%=pd.getButton("butts10","", pd.shopurl & "continue.aspx","") %>
                <%= pd.getButton("butts13", "", "javascript: gotocheckout();", "")%>
            </div>
            <!-- PayPal Express Checkout Option -->
            <% If pd.showppexpress = "Yes" And oktocheckout = "Y" Then%>
            <div class="formbuttons_container">
                <img onclick="gotopaypal()" border="0" src="img/ppexpresslogo.gif" alt="PayPal Express" />
            </div>
            <%End If%>
            <%Else%>
            <div class="formbuttons_container">
                <%=pd.getButton("butts10","", pd.shopurl & "continue.aspx","") %>
            </div>
            <%End If%>
        </form>
    </div>
    <script type="text/javascript">
        <!--
    function gotocheckout() {
        document.getElementById('nexttask').value = 'checkout';
        document.getElementById('updateitems').submit();
    }

    function applycodes() {
        document.getElementById('nexttask').value = '';
        document.getElementById('updateitems').submit();
    }

    function gotopaypal() {
        document.getElementById('nexttask').value = 'paypalexpress';
        document.getElementById('updateitems').submit();
    }
    //-->
    </script>
    <%= pd.endSection()%>
</asp:Content>
